DominoDomain (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.lotus.DominoDomain interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.lotus
Interface DominoDomain

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface DominoDomain

extends LogicalElement

Represents a domino domain server.

Naming Rules:
  0="domainNameInLowerCase" 1="managedSystemName"
Persistable:
  true
Table Name:
  DOMDOMN
Display Name:
  domainName

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getDomainName()` Represents the domain name as seen in the server document.
`java.lang.String` | `getDomainNameInLowerCase()` Domain names are case insensitive, so within the same site you could have a server with domain name set to DOMAIN and another server with domain name set to domain and they both belong to the same domain.
`DominoConnection[]` | `getDominoConnections()` The list of configured connections in this domain.
`DominoServer[]` | `getServers()` List of domino servers that make this domain
`boolean` | `hasDomainName()`
`boolean` | `hasDomainNameInLowerCase()`
`boolean` | `hasDominoConnections()`
`boolean` | `hasServers()`
`void` | `setDomainName(java.lang.String s)`
`void` | `setDomainNameInLowerCase(java.lang.String s)`
`void` | `setDominoConnections(DominoConnection[] s)`
`void` | `setServers(DominoServer[] s)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### setDomainName

    void setDomainName(java.lang.String s)

### getDomainName

    java.lang.String getDomainName()
                                   throws AttributeNotSetException

  Represents the domain name as seen in the server document.

  Throws:
    `AttributeNotSetException`

### hasDomainName

    boolean hasDomainName()

### setDomainNameInLowerCase

    void setDomainNameInLowerCase(java.lang.String s)

### getDomainNameInLowerCase

    java.lang.String getDomainNameInLowerCase()
                                              throws AttributeNotSetException

  Domain names are case insensitive, so within the same site you could have a server with domain name set to DOMAIN and another server with domain name set to domain and they both belong to the same domain. Hence, this field.

  Throws:
    `AttributeNotSetException`

### hasDomainNameInLowerCase

    boolean hasDomainNameInLowerCase()

### setServers

    void setServers(DominoServer[] s)

### getServers

    DominoServer[] getServers()
                              throws AttributeNotSetException

  List of domino servers that make this domain

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="true"

### hasServers

    boolean hasServers()

### setDominoConnections

    void setDominoConnections(DominoConnection[] s)

### getDominoConnections

    DominoConnection[] getDominoConnections()
                                            throws AttributeNotSetException

  The list of configured connections in this domain. Connections are configured per domain and shared by all servers in the domain. The domain sensor opens the names.nsf file, gets the ($connections) view and walks through all the connections and creates a DominoConnection object per entry in the view.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### hasDominoConnections

    boolean hasDominoConnections()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD